Package org.eclipse.gef.zest.fx.parts

# Class ZestFxSelectionFeedbackPartFactory

java.lang.Object
org.eclipse.gef.mvc.fx.parts.DefaultSelectionFeedbackPartFactory
org.eclipse.gef.zest.fx.parts.ZestFxSelectionFeedbackPartFactory

All Implemented Interfaces:
  `IFeedbackPartFactory`

public class ZestFxSelectionFeedbackPartFactory extends DefaultSelectionFeedbackPartFactory
A specific `IFeedbackPartFactory` for selection feedback.

## Field Summary

### Fields inherited from class org.eclipse.gef.mvc.fx.parts.DefaultSelectionFeedbackPartFactory

`DEFAULT_PRIMARY_SELECTION_FEEDBACK_COLOR, DEFAULT_SECONDARY_SELECTION_FEEDBACK_COLOR, PRIMARY_SELECTION_FEEDBACK_COLOR_PROVIDER, SECONDARY_SELECTION_FEEDBACK_COLOR_PROVIDER, SELECTION_FEEDBACK_GEOMETRY_PROVIDER, SELECTION_LINK_FEEDBACK_GEOMETRY_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ZestFxSelectionFeedbackPartFactory()`

## Method Summary

Modifier and Type
Method
Description
`protected IFeedbackPart<? extends Node>`
`createLinkFeedbackPart(IVisualPart<? extends Node> anchorage, Provider<? extends IGeometry> anchorageLinkFeedbackGeometryProvider, IVisualPart<? extends Node> anchored, Provider<? extends IGeometry> anchoredLinkFeedbackGeometryProvider, String role)`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.DefaultSelectionFeedbackPartFactory

`createFeedbackParts`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZestFxSelectionFeedbackPartFactory

public ZestFxSelectionFeedbackPartFactory()

## Method Details

### createLinkFeedbackPart

protected IFeedbackPart<? extends Node> createLinkFeedbackPart(IVisualPart<? extends Node> anchorage, Provider<? extends IGeometry> anchorageLinkFeedbackGeometryProvider, IVisualPart<? extends Node> anchored, Provider<? extends IGeometry> anchoredLinkFeedbackGeometryProvider, String role)

Overrides:
  `createLinkFeedbackPart` in class `DefaultSelectionFeedbackPartFactory`